## Class Dado

    java.lang.Object
      Dado

All Implemented Interfaces:
  java.lang.Comparable

    public class Dado

extends java.lang.Object
implements java.lang.Comparable

Gestisce un dado e ne simula il comportamento. Il lancio di un dado tradizionale a 6 facce comporta l'uscita di un numero compreso fra 1 e 6 (inclusi). Usa l'algoritmo di generazione di numeri pseudo-casuali implementato dalla classe Random inclusa nel pacchetto java.util della libreria. Gli oggetti di questo tipo sanno confrontarsi fra loro, grazie al metodo compareTo() implementato dall'interfaccia Comparable.

Version:
  1.0.0
Author:
  Alessio Treglia
See Also:
  `Random`

Constructor Summary
`Dado()` Costruttore no-arg.

Method Summary
`int` `compareTo(java.lang.Object ob)` Confronta il valore dell'ultimo lancio di ogni dado.
`int` `getUltimoLancio()`
`int` `lancio()` Simula il lancio di un dado a 6 facce.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Dado

    public Dado()

  Costruttore no-arg. Inizializza il generatore di numeri casuali.

Method Detail

### lancio

    public int lancio()

  Simula il lancio di un dado a 6 facce. Memorizza il numero uscito nell'attributo privato ultimoLancio.

  Returns:
    un numero (pseudo-casuale) compreso fra 1 e 6 (inclusi).

### getUltimoLancio

    public int getUltimoLancio()

  Returns:
    il numero uscito nell'ultimo lancio

### compareTo

    public int compareTo(java.lang.Object ob)

  Confronta il valore dell'ultimo lancio di ogni dado.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `ob` - `Dado` da confrontare
  Returns:
    un valore minore, uguale o maggiore di 0 a seconda che l'oggetto chiamante sia minore, uguale o maggiore dell' oggetto del parametro.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    una descrizione stringa del valore estratto dal dado